"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/0n/_7v_bpwd1w71f8l0b0kjw5br0000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb40d0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4160>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb41f0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4280>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4310>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb43a0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4430>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb44c0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4550>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb45e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4670>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4700>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4790>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4820>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb48b0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4940>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb49d0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4a60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4af0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4b80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4c10>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4ca0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4d30>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4dc0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4ee0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4e50>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb4f70>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8040>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb80d0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8160>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb81f0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8280>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8310>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb83a0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8430>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb84c0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8550>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb85e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8670>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8700>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8790>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8820>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb88b0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8940>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb89d0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8a60>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8af0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8b80>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8c10>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8ca0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8d30>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8dc0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8e50>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8ee0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10ffb8f70>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd040>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd0d0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd160>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd1f0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd280>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd310>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd3a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd430>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd4c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd550>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd700>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd5e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd790>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd820>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd8b0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd940>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbd9d0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbdaf0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbda60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbdb80>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbdc10>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbdca0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbddc0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbdd30>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbde50>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbdee0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10ffbdf70>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10ffc1040>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10ffc10d0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10ffc1160>)]
name: str = 'fr_HOCCN'
